[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPC

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Ancestor for client/server simple IPC classes

## Declaration

Source position: simpleipc.pp line 66

`type TSimpleIPC = class(TComponent)`
`published`
`property Active: Boolean; [rw]` |  | Communication channel active
`property ServerID: string; [rw]` |  | Unique server identification
`end;`

## Inheritance

`TSimpleIPC` |  | Ancestor for client/server simple IPC classes
`TComponent,IUnknown,IInterfaceComponentReference`
`TPersistent,IFPObserved`
`TObject`

## Description

TSimpleIPC is the common ancestor for the TSimpleIPCServer and TSimpleIPCClient classes. It implements some common properties between client and server.

## See also

TSimpleIPCServer |  | Simple IPC server component
TSimpleIPCClient |  | Simple IPC client component

Documentation generated on: Feb 26 2014